public static final class ReportErrorsServiceGrpc.ReportErrorsServiceFutureStub extends io.grpc.stub.AbstractStub<ReportErrorsServiceGrpc.ReportErrorsServiceFutureStub>
An API for reporting error events.
| Modifier and Type | Method and Description |
|---|---|
protected ReportErrorsServiceGrpc.ReportErrorsServiceFutureStub |
build(io.grpc.Channel channel,
io.grpc.CallOptions callOptions) |
com.google.common.util.concurrent.ListenableFuture<ReportErrorEventResponse> |
reportErrorEvent(ReportErrorEventRequest request)
Report an individual error event.
|
protected ReportErrorsServiceGrpc.ReportErrorsServiceFutureStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)
build in class io.grpc.stub.AbstractStub<ReportErrorsServiceGrpc.ReportErrorsServiceFutureStub>public com.google.common.util.concurrent.ListenableFuture<ReportErrorEventResponse> reportErrorEvent(ReportErrorEventRequest request)
Report an individual error event. This endpoint accepts <strong>either</strong> an OAuth token, <strong>or</strong> an <a href="https://support.google.com/cloud/answer/6158862">API key</a> for authentication. To use an API key, append it to the URL as the value of a `key` parameter. For example: <pre>POST https://clouderrorreporting.googleapis.com/v1beta1/projects/example-project/events:report?key=123ABC456</pre>